Wallpaper Sequencer help file - Overview

Overview

Thank you for downloading Wallpaper Sequencer, a powerful and easy-to-use wallpaper manager forWindows 9x/Me/NT4/2000/XP! Use this tool to create collections of your favorite wallpapers and automatically change them on each Windows startup or at specified time intervals.

Wallpaper Sequencer is the proud recipient of a number of awards:

  • Awarded 5 Stars on FileTransit.com
  • 5 stars at 5 Star shareware
  • Editor's pick award from Softlandmark.com
  • Editor's pick award from Wadim.ru
  • Shareup.com - 5 up rating
  • Emerald Dragon 3000 - 5 Stars rating
  • and many others (see the complete listing here)

So, run Wallpaper Sequencer now and enjoy!


Wallpaper Sequencer help file - Features

Features

Supports popular graphics formats such as BMP, JPG, JPEG, PNG, EMF, WMF.

Supports ZIP archive.

You can create collections of your favorite wallpapers and customize them with individual options for each image and advanced display settings.

Desktop clock skins of various types. Now you can choose between the traditional and digital looks of the time keeping devices on your desktop.

Apply a semi-transparent wallpaper calendar with various skins to your desktop!!!

Program the wallpaper to change automatically on system start or shutdown, on-hot-key press, or after a specified time period.

To reduce memory usage, Wallpaper Sequencer can automatically close after a wallpaper change.

If you frequently restart your system, you can set the option "Only once per day" and the wallpaper will be changed at StartUp/Restart/Shutdown only once between 12:00 am and 11:59 pm. (Or on a 24-hour clock, between 00:00 and 23:59.)

The program enables you to set the desktop background color and features options for a transparent background for desktop icon text, completely hidden desktop icons, proportional resizing, and Active Desktop support.

Wallpaper Sequencer renders the Taskbar transparent on Windows 2000/XP, revealing the whole desktop including any background image. This transparency is adjustable.

It also includes a multilingual interface, full multi-user support on NT/2000/XP, supports the virtual desktops that come with Microsoft Power Toys for XP, and fully supports Windows XP visual themes.


Wallpaper Sequencer help file - What's new?

What's new?

Version 3.3

  • Removed WBZ support by inquiry of WebShots company.
  • [Ultra only] Added desktop clock, you can choose analogue or digital clock for your desktop, and set transparency in the Windows 2000/XP.
  • [Ultra only] Fixed problem with "24-hours" of Digital clock.
  • Fixed bug whan deleting images to Recycle Bin.
  • Another small fixes.

Version 3.2

  • ZIP archieve support added.
  • You can enable/disable Tray informer.
  • Favorites have now nine elements.
  • Click on the image shown in the Tray informer for setting up it as current wallpaper.
  • Added new hotkeys and hotkeys for "Favorites".
  • New wallpaper list.
  • You can sort wallpapers simple clicking on the list header.

Version 3.1

  • Tray informer.
  • You can choose Walser menu style: Office XP or Windows XP.
  • Lite version of "Favorites".
  • Drag'n'Drop support.
  • If you check “show preview” selected image will be shown. If no images selected then current image will be shown.
  • "Set wallpaper" bug fixed.
  • Fixed bugs with "change on timer".
  • If Walser can’t set wallpaper to desktop, it goes to next wallpaper without error messages.
    (Broken image will be shown strikeout in the wallpaper list. Strikeout status not save and available only in the current session).
  • If you check "show preview" selected image will be shown. If no images selected then current image will be shown.
  • Problem with Active desktop and Win NT 4.0 fixed.
  • Extended "Change every xxx " parameter, added days and hour counter.
  • Fixed three bugs in wallpaper list history.
  • At starting up the wallpaper list show "current item" position.
  • Wallpaper Calendar week number not centered - Fixed.
  • Fixed bug with "Advanced position settings".
  • Heap of small bugs fixed.

Version 3.0

  • Wallpaper calendar added with adjustable transparency.
  • "Refresh" button.
  • New buttons glyphs.
  • About dialog changed.
  • WMF, EMF formats support.
  • Hot keys: "Random wallpaper" and "Set this wallpaper".
  • "Only once per day" work separately for Startup and Shutdown/Restart.
  • Minor bugs fixed.

Version 2.7b (You can download it immediately)

  • Fixed: Parameters weren't saved.
  • Fixed: "Change on exit" bug.
Version 2.7
  • You can change Screen resolution and refresh rate with one click!!!
  • Fixed: "Only once per day" didn't work under some OS versions.
  • Fixed: "Save list" didn't work properly.
  • Fixed: Problem with "Default.wpl".
Version 2.6
  • Added list history.
  • Current list name is shown in the title bar.
  • Wallpaper Sequencer visible on the taskbar.
  • Fixed - "Change and Exit" bug.
top
Version 2.52
  • Fixed - With some system configurations the registered version was not decrypted successfully (errors in "Add folder"/"Append list" and in setting the display "Position" to Stretch-P).
  • Fixed - "Transparent text background for Desktop icon" was disabled at Windows XP.
  • Fixed - Preview window didn't move with the main window (the problem was noticed in some localized and original English builds of Windows 98/Me/NT/2000).
top
Version 2.51
  • Transparent text background for Desktop icons now available in Windows 2000.
  • DLL bug in Windows 2000 fixed.
top
Version 2.5
  • Transparent text background for Desktop icons.
  • Hiding Desktop icons.
  • Proportional stretching.
  • You can set Desktop background color.
  • Active Desktop support.
  • If you frequently restart your system you can set the option "Only once per day" and wallpaper will be changed at StartUp/Restart/Shutdown only once.
  • Added "Sorting by Type" function for rearranging list of wallpapers.
  • Main Menu added.
  • Current wallpaper highlighted with bold font at the list.
  • Some bugs fixed.
top
Version 2.1
  • Multilingual interface
  • Some bugs fixed
top
Version 2.0
  • Taskbar transparency on Windows 2000/XP.
  • Multi-desktop support for Microsoft Power Toys for Windows XP. Now can change wallpapers on four different desktops.
  • Stretching with bilinear filtering, creates a cleaner picture when resized.
  • List of wallpapers with load/save improved.
  • You can change action on System Tray icon click: "Show/Hide window" or "Change wallpaper".
  • "Preview" window now can be shown on left or right side of main window.
  • Small interface changes.
  • Updated help.
  • "Change every XX min" bug fixed
top
Version 2.0 beta
  • Taskbar transparency on Windows 2000/XP.
  • Small help.
  • Multilingual interface testing.
top
Version 1.51
  • Multi user on Windows NT/2000/XP bug fixed.
top
Version 1.5
  • Completely changed interface.
  • Wallpaper list preview added.
  • List of wallpapers with load/save improved.
  • "Next" and "Previous" buttons for setting next and previous wallpaper accordingly.
  • Hotkeys added for "Next" and "Previous".
  • "Custom" setting added for wallpapers Position on desktop.
  • Individual options saved for each wallpaper.
  • Timer doesn't stop while the program is onscreen.
  • All changes or adjustments are saved immediately.
  • Fixed: Work with BMP files which have "Read only" attributes set.
  • Fixed: Changing wallpaper "Change wallpaper on startup" now works as it should.
  • Fixed: Changing wallpaper "Change at system shutdown/restart" now works as it should.
top


Wallpaper Sequencer - Quick Start

Quick Start

After you run Wallpaper Sequencer, you should see its icon in your Windows system tray (the Taskbar Notification Area, usually near the clock on the right side of the taskbar.)

First:

One click on this icon and you'll see the Wallpaper Sequencer settings window.

Also you can get a popup menu by clicking your right mouse button on the tray icon. Menu details follow:

Open Wallpaper Sequencer | Show the Wallpaper Sequencer settings window.
------------------------------- | ---------------------------------------------------------------
Previous wallpaper | Set the previous item from the wallpaper list as the desktop wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Next wallpaper | Set the next item from the wallpaper list as the desktop wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Clear desktop | Remove wallpaper completely from the desktop.
------------------------------- | ---------------------------------------------------------------
Desktop settings - Transparent text background for desktop icons - Hide Desktop icons | Set the desktop icons text background to be transparent. Hide the desktop icons.
------------------------------- | ---------------------------------------------------------------
Windows "Display properties" | Show the standard Windows Display Properties dialog that lets you pick the current wallpaper, screensaver, background colors and so on.
Support | You can mail your suggestions or bug reports to us.
Help | Show this help file.
------------------------------- | ---------------------------------------------------------------
Exit | Close the program.

Second:

Click the "Add Picture" button to add one picture in a supported format, or click the "Add folder" button to add all pictures of any supported format from the folder(s) you select.

That's enough to get started. However, you can configure Wallpaper Sequencer many different ways. You may miss out on some good features if you don't read some of these help pages!


Wallpaper Sequencer - Options

Options

Check Run Walser at startup and Wallpaper Sequencer will be started as Windows loads.

You can specify the action Walser takes when you click the System Tray icon [image]: either Show/Hide the settings window (toggle) or change the wallpaper.

You can enable/disable tray informer.

Choose your language. If it isn't listed then check the website to see if it's available for download.


Wallpaper Sequencer - Desktop settings

Desktop settings

Desktop background color - you can choose the background color, which affects any area that isn't covered by the wallpaper as well as the area immediately surrounding icon text labels.

Transparent text background for Desktop Icon s - let the desktop background show around the desktop icon text. As you can see below, dark text will be harder to see on a dark wallpaper image.

Before | After

Note: transparent text backgrounds are not available if Active Desktop is enabled.

Hide Desktop icons - hides all icons on the desktop.

Taskbar Transparency - under Windows XP, make your taskbar transparent to reveal the whole desktop background, including any background image. See below:


Wallpaper Sequencer - Wallpaper manager

Wallpaper manager

You can use checkboxes in the list to activate or deactivate individual images.
If they're checked, they'll be considered active when wallpaper is chosen for the desktop.

Buttons for management of Wallpaper Sequencer (on the right side of the wallpaper image list)

Add picture | Lets you browse to add one picture (of a supported format) to the list.
Add folder | Lets you browse to add all pictures in supported formats to the list from selected folders and subfolders.
Delete selected | Delete selected pictures from list. (The actual images are not deleted, just their entries in the list.) or delete selected picture to the Windows Recycle Bin.
Load list | Load list from a file that you already created and saved.
Save list | Save list to a file. You pick the name and location.
Append list | Load the list from a file and add it onto the end of the current list.
Clear list | Delete all current list entries from memory. It's a quick and easy way to start fresh and create a new list. Clearing the list will not affect lists that are already saved to a file.
Previous wallpaper | Set the previous wallpaper image in the list as the current wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Set wallpaper | set to desktop selected element in wallpaper list.
Next wallpaper | Set the next wallpaper image in the list as the current wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Clear desktop | Remove wallpaper completely from the desktop.

Four buttons for managing the list:

From left to right: a) Move selected image(s) to the top of the list; b) Move selected image(s) one line up each time you click the button; c) Move selected image(s) one line down each time you click the button; d) Move selected image(s) to the bottom of the list. Click the Sort button to sort the list by image type (BMP, JPG, etc.)

Click the triangle on the "Image options" panel and you will see a list of individual options to position each wallpaper. These options override settings on the General Options page and apply only to the image you have selected in the list. "Default" leaves the current image set the way you have it set on the General Options page for all images.

If you check "Preview", you can see a Preview window on the right or left side of the main window. Unchecking "Preview" hides it. You can change its position by using the [image] button. The arrow points to the side that the preview window will be on if you click it.


Wallpaper Sequencer - General settings

General settings

When to change
Change wallpaper at startup | Wallpaper will be changed at Windows startup or login.
Change and exit | This parameter is available only with Change wallpaper at startup, and Wallpaper Sequencer will close after changing the wallpaper.
Change at system shutdown/restart | Wallpaper will be changed on Windows shutdown/restart. In our opinion it's better than Change wallpaper at startup since it doesn't slow down Windows loading. However, if your system crashes, the background won't be changed since it only changes when Windows closes down properly.
Change every XX min | Change wallpaper every so many minutes, with XX being between 1 and 59 minutes.
Only once per day | if you frequently restart you system you can set this option and wallpaper will be changed at StartUp/Restart/Shutdown only once each day.

Position (size)
Stretch | Stretches the picture non-proportionally to cover the entire screen.
Tile | Repeats the picture over and over to fill the entire screen, like tile on a wall or floor.
Center | Display the picture in the middle of the screen, regardless of the picture's size.
Advanced | You can set various display formats based on the resolution of the picture that's loaded. (See the APS tab description for details.)
Stretch-P | Stretches the picture proportionally to cover the entire screen. If the proportions are different than the screen, it will expand (or shrink) the image until it touches the screen's edges, either the sides or the top & bottom, while maintaining the proper proportions (aspect ratio) of the image.

Sequence
Forward | The image list is advanced from beginning to end (top to bottom in the display) until all images have been shown, and then it repeats.
Backward | The image list is displayed in the opposite direction, beginning with the last entry.
Random | Random images are shown from anywhere in the list, with an attempt to avoid repetition.


Wallpaper Sequencer help file - Favorites

Favorites

Use "Favorites" for fast setting up wallpapers to the desktop.

Currently Wallpaper Sequencer support nine favorites.


Wallpaper Sequencer - Advanced position settings

Advanced position settings

Set the desired condition and press the "Add" button.
If there's a condition you don't want, click on it in the table and press the "Delete" button.

Warning!
Earlier conditions (higher in the list) take priority over later ones (lower in the list.) For example: if you defined "< 1024x768 Center" and later "> 800x600 Stretch", all pictures with resolution > 800x600 will be stretched, and pictures <= 800x600 will be centered even though they're not specifically mentioned, because of the second rule.


Wallpaper Sequencer - XP Power toys

XP Power Toys

This page is only for users of Microsoft Power Toys for Windows XP. With it you may adjust the wallpaper for everyone's virtual desktop, up to four different ones, as long as Power Toys for Windows XP is already installed.

You can set the position of wallpaper for each desktop. You may set positive or negative displacement of the virtual desktop's wallpaper based on the wallpaper chosen for Desktop 1.

If you use Microsoft Power Toys for Windows XP, check the option "I use Power Toys" to enable these options.

Notice!
If you use this option, wallpaper changing will take longer, because Wallpaper Sequencer requires more time to process more images.


Wallpaper Sequencer - Calendar

Calendar (Standard version only)

Select the desired calendar skin.

On the right side you'll see a preview of the selected skin, author information, and minimal supported resolution for a proper fit.


Wallpaper Sequencer - Calendar settings

Calendar settings

First day of week | Set the left-most day on the calendar -- the day that starts the week.
Day name style | Select "short" or "long" day name. For example: "Sun" or "Sunday".
Calendar header | Check to show the year with the month at the top of the calendar. Uncheck for just the month.
Weekend days | Pick the column(s) of days that are treated as weekend days. The example on the "calendar" tab page shows Saturday and Sunday differently than the rest of the week, both in the date display and the weekend day name at the top.
Calendar transparency | Set how much of the wallpaper background shows through the calendar. With the control slid more to the left, the calendar is more transparent, and more to the right makes it less transparent.

Alignment:

Top left | Show calendar more towards the top left corner of the screen. | X,Y offset
Top center | Show calendar more towards the top of the screen. | Y offset
Top right | Show calendar more towards the top right corner of the screen. | X,Y offset
Center left | Show calendar more towards the left side of the screen. | X offset
Center | Show calendar centered on the screen. (Centered is the standard default for Windows wallpaper.) | no offset
Center right | Show calendar more towards the right side of the screen. | X offset
Bottom left | Show calendar more towards the bottom left corner of the screen. | X,Y offset
Bottom center | Show calendar more towards the bottom of the screen. | Y offset
Bottom right | Show calendar more towards the bottom right corner of the screen. | X,Y offset


Wallpaper Sequencer - Hotkeys

Hotkeys

Next wallpaper | Set the next item from the wallpaper list as the desktop wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Previous wallpaper | Set the previous item from the wallpaper list as the desktop wallpaper. However, if you're set to a random sequence on the Walser General Options tab, it will just pick a random wallpaper.
Random wallpaper | Set a random item from the wallpaper list as the desktop wallpaper.
Clear desktop | Remove wallpaper completely from the desktop.
Set this wallpaper | Set the item specified in the dialog shown by clicking the [image] button as the desktop wallpaper.
 | The others hotkeys are characterized by the names.

Select a hotkey combination and click the button [image] to "lock" the setting so it can't be accidentally changed.

You will see an error message if the hotkey not available. For example, if you try F10 and that key is already taken, you'll see:


Wallpaper Sequencer - Desktop Clock settings

Desktop Clock settings

Show Clock - You can disable/enable desktop clock by.

Always on Top - Check this options and desktop clock will be above all opened windows.

Digital clock settings

"Use 12-Hour format" - if option checked digital clock show time 1-12 hours with AM/PM, else 0-24.

Show date - show current date before time.

Show seconds - you can disable showing seconds to create clock window smaller.

Zoom (only for analog clocks) - decrease or increase size of analog clock.

Clock transparency - you can set clock transparency at Windows 2000/XP.

Skins

You can choose skin of clock on the page 'Skins'. Analog clock is marked by this icon [image] and digital by this [image].


Wallpaper Sequencer help file - Tray informer

Tray informer

In tray informer is shown "Possible next wallpaper", next wallpaper if you click "Next" button.

Also at left side of image you have three buttons: "Next wallpaper", "Previous wallpaper" and "Random wallpaper".

Click on the image for setting up it as current wallpaper.

Five buttons for fast applying of favorite wallpapers to the desktop.


Wallpaper Sequencer - Order Wallpaper Sequencer

Order Wallpaper Sequencer

Why should I register Wallpaper Sequencer?

  1. Your name will be shown in the About dialog.
  2. The registration reminder will never pop up again.
  3. The 14 day trial limitation will be removed.
  4. All upgrades of Wallpaper Sequencer are FREE for registered users.
  5. You'll be eligible for free technical support through e-mail.
  6. You'll be supporting good software and provide incentive to make Wallpaper Sequencer an even better program.

Click to see versions differences

License counter | Lite | Standard | Ultra
1 | $ 14.95 | $ 24.95 | $ 34.95
2 - 4 | $ 10.95 | $ 20.95 | $ 27.95
5 - 9 | $ 8.95 | $ 16.95 | $ 24.95
10+ | $ 6.95 | $ 12.95 | $ 20.95
Site license * | Contact | Contact | Contact

Upgrade from Lite to Standard - $14.95
Upgrade from Lite to Ultra - $24.95
Upgrade from Standard to Ultra - $14.95

The registration key will be sent to you via email within two business days upon purchase to remove all limitations.

Note: If you don't get your license key within a reasonable amount of time (usually two business days for credit card payments or up to two weeks for other payments), please notify us vie e-mail at regserv@draxysoft.com! We apologize for any inconvenience caused by those delays.

*A site license for Wallpaper Sequencer entitles an organization to receive one copy of the distribution package and duplicate the software as necessary for use within the organization on an unlimited number of computers.

Note: Please check our website for the latest pricing information.


Wallpaper Sequencer - Frequently asked questions

Frequently asked questions

Q: I can't set my hotkeys. What's wrong?
A: Simple, you're trying to set a key combination which is already claimed by another application.

We recommend that you use this keys:
Show/Hide window - F8
Next Wallpaper - F10
Previous Wallpaper - F9
Clear Desktop - F11

Q: Why doesn't the icon transparency feature work on my computer?
A: Please disable Active Desktop and try again.

Q: I use a localized version of Microsoft Windows, but the day names are shown in English. What can I do?
A: Go to Control panel and click "Regional and Language options" (or "Regional Settings" in Windows 9x) to select your language preferences from the "Standards and formats" tab (or the "Regional Settings" tab in Win 9x.)


Wallpaper Sequencer help file - Thanks

Thanks

For Wallpaper Sequencer interface and manual translators:

- Slavi
- Jesús Moreno
- TomñÚ Macek
- Toine vd Laak
- Julien VICTOR
- DaPhreak
- Chris Barkas
- Eliran Itach
- Herczeg József Tamás
- gibra
- Gi-hyun Cha
- Christian Langeland
- Konrad Daniek
- Jacques Leonel Bica
- Dragos Dinescu
- Vladimir Jasan "Sunny"
- Gonzalo Ferreira - FESTL
- Peter Thörnqvist
- Nuri AKMAN
- TYRAWOOX

Best users and beta-testers in the whole world :)

- Tom Robinson
- Alexander Vihtyuk
- Paul Grace
- John Bass
- Vodovskov Alexey
- IgRek

The authors of the components used in this program:

- Elpack by Eugene Mayevski
- Delphi Zip by Eric W. Engler